
D4Science Infrastructure - Incident #5669

RStudio is down on RStudioLab

Nov 07, 2016 06:31 PM - Emmanuel Blondel

Status: Closed Start date: Nov 07, 2016

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

http://rstudio.d4science.org/r-connector/gcube/service/connect?gcube-token=...

Error (400) : this resource cannot process this request because it is malformed

Stacktrace:

org.gcube.smartgears.handlers.application.request.RequestException: RConnector cannot be called in

 scope /d4science.research-infrastructures.eu/gCubeApps/RStudioLab

    at org.gcube.smartgears.handlers.application.request.RequestError.toException(RequestError.jav

a:110)

    at org.gcube.smartgears.handlers.application.request.RequestError.fire(RequestError.java:94)

    at org.gcube.smartgears.handlers.application.request.RequestValidator.validateScope(RequestVal

idator.java:95)

    at org.gcube.smartgears.handlers.application.request.RequestValidator.retreiveAndSetInfo(Reque

stValidator.java:179)

    at org.gcube.smartgears.handlers.application.request.RequestValidator.validateToken(RequestVal

idator.java:145)

    at org.gcube.smartgears.handlers.application.request.RequestValidator.handleRequest(RequestVal

idator.java:53)

    at org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:56)

    at org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:21)

    at org.gcube.smartgears.handlers.Pipeline.forward(Pipeline.java:65)

    at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:78)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

Related issues:

Related to D4Science Infrastructure - Task #5674: Add RStudioLab scope on rst... Closed Nov 08, 2016

History

#1 - Nov 07, 2016 06:56 PM - Leonardo Candela

- Tracker changed from Support to Incident

- Assignee set to Roberto Cirillo
http://rstudio.d4science.org/r-connector/gcube/service/connect?gcube-token=


#2 - Nov 07, 2016 07:03 PM - Pasquale Pagano

- Priority changed from Normal to Urgent

#3 - Nov 08, 2016 09:36 AM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Nov 08, 2016 09:40 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Please, could you retry now?

#5 - Nov 08, 2016 09:46 AM - Emmanuel Blondel

- Status changed from Feedback to Closed

It works

#6 - Nov 08, 2016 11:15 AM - Roberto Cirillo

- Related to Task #5674: Add RStudioLab scope on rstudio ansible playbook deifinition added
